import { IgrDashboardTileSortDescription } from "./igr-dashboard-tile-sort-description";
import { DashboardTileGroupDescription as DashboardTileGroupDescription_internal } from "./DashboardTileGroupDescription";
/**
 * Represents an element in the current grouping applied to a data source or provider. Changes to this object are not observed or expected after it is initially assigned to a collection.
*/
export class IgrDashboardTileGroupDescription extends IgrDashboardTileSortDescription {
    createImplementation() {
        return new DashboardTileGroupDescription_internal(0);
    }
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor() {
        super();
    }
}
