/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, markType } from "igniteui-react-core";
import { DashboardTile } from "./DashboardTile";
import { DashboardTileCommonFeature } from "./DashboardTileCommonFeature";
import { DataChartCategoryDescriptionModule } from "igniteui-react-core";
import { DataChartAnnotationDescriptionModule } from "igniteui-react-core";
import { DataChartScatterDescriptionModule } from "igniteui-react-core";
import { DataChartShapeDescriptionModule } from "igniteui-react-core";
import { DataChartFinancialDescriptionModule } from "igniteui-react-core";
import { DataChartInteractivityDescriptionModule } from "igniteui-react-core";
import { DataChartPolarDescriptionModule } from "igniteui-react-core";
import { DataChartRadialDescriptionModule } from "igniteui-react-core";
import { DataChartToolbarDescriptionModule } from "igniteui-react-core";
import { DataChartExtendedAxesDescriptionModule } from "igniteui-react-core";
import { DataChartVerticalCategoryDescriptionModule } from "igniteui-react-core";
import { DataChartStackedDescriptionModule } from "igniteui-react-core";
import { DataGridDescriptionModule } from "igniteui-react-core";
import { CategoryAxisBaseDescriptionMetadata } from "igniteui-react-core";
import { AxisDescriptionMetadata } from "igniteui-react-core";
import { NumericAxisBaseDescriptionMetadata } from "igniteui-react-core";
import { AnchoredCategorySeriesDescriptionMetadata } from "igniteui-react-core";
import { HorizontalAnchoredCategorySeriesDescriptionMetadata } from "igniteui-react-core";
import { VerticalAnchoredCategorySeriesDescriptionMetadata } from "igniteui-react-core";
import { ScatterBaseDescriptionMetadata } from "igniteui-react-core";
import { RadialBaseDescriptionMetadata } from "igniteui-react-core";
import { AnchoredRadialSeriesDescriptionMetadata } from "igniteui-react-core";
import { FinancialSeriesDescriptionMetadata } from "igniteui-react-core";
import { RangeCategorySeriesDescriptionMetadata } from "igniteui-react-core";
import { PolarAreaSeriesDescriptionMetadata } from "igniteui-react-core";
import { FinancialIndicatorDescriptionMetadata } from "igniteui-react-core";
/**
 * @hidden
 */
var DataChartDashboardTileFeature = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(DataChartDashboardTileFeature, _super);
    function DataChartDashboardTileFeature() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DataChartDashboardTileFeature.register = function () {
        DataChartDashboardTileFeature.registerCore(DashboardTile.bo.context);
    };
    DataChartDashboardTileFeature.registerCore = function (a) {
        DashboardTileCommonFeature.a(a);
        DataChartCategoryDescriptionModule.register(a);
        DataChartAnnotationDescriptionModule.register(a);
        DataChartScatterDescriptionModule.register(a);
        DataChartShapeDescriptionModule.register(a);
        DataChartFinancialDescriptionModule.register(a);
        DataChartInteractivityDescriptionModule.register(a);
        DataChartPolarDescriptionModule.register(a);
        DataChartRadialDescriptionModule.register(a);
        DataChartToolbarDescriptionModule.register(a);
        DataChartExtendedAxesDescriptionModule.register(a);
        DataChartVerticalCategoryDescriptionModule.register(a);
        DataChartStackedDescriptionModule.register(a);
        DataGridDescriptionModule.register(a);
        CategoryAxisBaseDescriptionMetadata.d(a);
        AxisDescriptionMetadata.d(a);
        NumericAxisBaseDescriptionMetadata.d(a);
        AnchoredCategorySeriesDescriptionMetadata.d(a);
        HorizontalAnchoredCategorySeriesDescriptionMetadata.d(a);
        VerticalAnchoredCategorySeriesDescriptionMetadata.d(a);
        ScatterBaseDescriptionMetadata.d(a);
        RadialBaseDescriptionMetadata.d(a);
        AnchoredRadialSeriesDescriptionMetadata.d(a);
        FinancialSeriesDescriptionMetadata.d(a);
        RangeCategorySeriesDescriptionMetadata.d(a);
        PolarAreaSeriesDescriptionMetadata.d(a);
        FinancialIndicatorDescriptionMetadata.d(a);
    };
    DataChartDashboardTileFeature.$t = markType(DataChartDashboardTileFeature, 'DataChartDashboardTileFeature');
    return DataChartDashboardTileFeature;
}(Base));
export { DataChartDashboardTileFeature };
