import { DashboardTileFilterStringErrorsParsingEventArgs as DashboardTileFilterStringErrorsParsingEventArgs_internal } from "./DashboardTileFilterStringErrorsParsingEventArgs";
/**
 * Represents event arguments for when there are errors parsing the filter string
*/
var IgrDashboardTileFilterStringErrorsParsingEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgrDashboardTileFilterStringErrorsParsingEventArgs() {
        this.mounted = false;
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgrDashboardTileFilterStringErrorsParsingEventArgs.prototype.createImplementation = function () {
        return new DashboardTileFilterStringErrorsParsingEventArgs_internal();
    };
    Object.defineProperty(IgrDashboardTileFilterStringErrorsParsingEventArgs.prototype, "nativeElement", {
        get: function () {
            return this._implementation.nativeElement;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgrDashboardTileFilterStringErrorsParsingEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgrDashboardTileFilterStringErrorsParsingEventArgs.prototype.onImplementationCreated = function () {
    };
    IgrDashboardTileFilterStringErrorsParsingEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    };
    Object.defineProperty(IgrDashboardTileFilterStringErrorsParsingEventArgs.prototype, "propertyName", {
        get: function () {
            return this.i.propertyName;
        },
        set: function (v) {
            this.i.propertyName = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgrDashboardTileFilterStringErrorsParsingEventArgs.prototype, "errors", {
        /**
         * Gets the errors from parsing the filter string.
        */
        get: function () {
            return this.i.errors;
        },
        set: function (v) {
            this.i.errors = v;
        },
        enumerable: false,
        configurable: true
    });
    return IgrDashboardTileFilterStringErrorsParsingEventArgs;
}());
export { IgrDashboardTileFilterStringErrorsParsingEventArgs };
