import { IgrDashboardTileGroupDescription } from "./igr-dashboard-tile-group-description";
import { DashboardTileGroupDescriptionCollection as DashboardTileGroupDescriptionCollection_internal } from "./DashboardTileGroupDescriptionCollection";
import { ContentChildrenManager } from "igniteui-react-core";
/**
 * Represents a collection of grouping elements that are applied to a data source or provider.
*/
export declare class IgrDashboardTileGroupDescriptionCollection {
    protected createImplementation(): DashboardTileGroupDescriptionCollection_internal;
    protected _implementation: any;
    protected mounted: boolean;
    get nativeElement(): HTMLElement;
    /**
     * @hidden
     */
    get i(): DashboardTileGroupDescriptionCollection_internal;
    protected onImplementationCreated(): void;
    protected _contentChildrenManager: ContentChildrenManager;
    constructor();
    protected _provideImplementation(i: any): void;
    findByName(name: string): any;
    add(item: IgrDashboardTileGroupDescription): boolean;
    insert(index: number, item: IgrDashboardTileGroupDescription): void;
    clear(): void;
    indexOf(item: IgrDashboardTileGroupDescription): number;
    remove(item: IgrDashboardTileGroupDescription): boolean;
    removeAt(index: number): IgrDashboardTileGroupDescription;
}
